/*
File:    commonvars.h
Purpose: defines and macros

dvda-author  - Author a DVD-Audio DVD

(C) Revised version with zone-to-zone linking Fabrice Nicol <fabnicol@users.sourceforge.net> 2007, 2008

The latest version can be found at http://dvd-audio.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef COMMONVARS_H_INCLUDED
#define COMMONVARS_H_INCLUDED

#include "version.h"


/* filesystem constants expressed in sectors */

#define STARTSECTOR  281
#define SIZE_AMG  3
#define SIZE_SAMG 64

/* default backup directories */

#define DEFAULT  "./Audio"
#define DEFAULT_AOB_FOLDER   "./AOB"
#define DEFAULT_SYSTEM_FOLDER  "./SYSTEM"

/*  A DVD-compliant disc can have up to 99 video title sets.  */

#define MAXIMUM_LINKED_VTS  9
#define PLAYBACK_TIME_OFFSET 0x1014
#define SETTINGSFILE   "./defaults.txt"
#define LOGFILE  "./log.txt"
#define INDIR  "./audio"
#define OUTDIR  "./output"
#define LINKDIR "./VIDEO_TS"
#define INFO_EXECTIME1  "[MSG]  User execution time: %u minutes %u seconds\n"
#define INFO_EXECTIME2  "[MSG]  System execution time: %u minutes %u seconds\n"

#define READTRACKS 1

#define INFO_GNU   "Copyrigh Dave Chapman 2005-Fabrice Nicol 2007,2008   <fabnicol@users.sourceforge.net>\
This file is part of dvda-author.\n\
dvda-author is free software: you can redistribute it and/or modify \
it under the terms of the GNU General Public License as published by \
the Free Software Foundation, either version 3 of the License, or \
(at your option) any later version.\n\
dvda-author is distributed in the hope that it will be useful,\
but WITHOUT ANY WARRANTY; without even the implied warranty of \
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the \
GNU General Public License for more details.\n\
You should have received a copy of the GNU General Public License \
along with dvda-author.  If not, see <http://www.gnu.org/licenses/>.\n\n"

#define SINGLE_DOTS   foutput("\n\n%s\n\n",         "-----------------------------------------------------------------");
#define DOUBLE_DOTS  foutput("\n%s\n",              "==================================================================");



#endif
