/*
File:    winport.h
Purpose: ports to Windows Mingw compiler

dvda-author  - Author a DVD-Audio DVD

(C) Revised version with zone-to-zone linking Fabrice Nicol <fabnicol@users.sourceforge.net> 2007, 2008

The latest version can be found at http://dvd-audio.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef WINPORT_INCLUDED
#define WINPORT_INCLUDED

/* The debian Mingwin compiler ignores access rights */

#ifdef __WIN32__
#include <io.h>
#define COMPUTE_EXECTIME

#else

#define COMPUTE_EXECTIME    do{ \
      getrusage(RUSAGE_SELF, &end);\
      unsigned int SEC1=end.ru_utime.tv_sec - start.ru_utime.tv_sec - nothing.ru_utime.tv_sec, SEC2=end.ru_stime.tv_sec- start.ru_stime.tv_sec - nothing.ru_stime.tv_sec;\
                            foutput(INFO_EXECTIME1, SEC1/60, SEC1%60 );\
                            foutput(INFO_EXECTIME2, SEC2/60, SEC2%60 );\
                            } while(0);



#include <sys/resource.h>

#endif

#endif // WINPORT_INCLUDED
